aries-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From LongkerDandy <longkerda...@gmail.com>
Subject Transaction Manager
Date Sat, 25 Sep 2010 06:43:58 GMT
Hi

I've received this error when starting felix for both
aries.transaction.manager and geronimo transacton:

ERROR: Error starting
file:/home/longkerdandy/Workspace/chii2/runtime/bundle/geronimo-transaction-2.1.3.jar
(org.osgi.framework.BundleException: Constraint violation for package
'javax.transaction.xa' when resolving module 8.0 between existing import
35.0.javax.transaction.xa BLAMED ON [[8.0] package;
(&(package=javax.transaction.xa)(version>=1.1.0)(!(version>=2.0.0)))] and
uses constraint 0.javax.transaction.xa BLAMED ON [[8.0] package;
(&(package=javax.resource.spi)(version>=1.5.0)(!(version>=2.0.0))), [5.0]
package; (package=javax.transaction.xa)])

ERROR: Error starting
file:/home/longkerdandy/Workspace/chii2/runtime/bundle/org.apache.aries.transaction.manager-0.3-incubating-SNAPSHOT.jar
(org.osgi.framework.BundleException: Constraint violation for package
'javax.transaction.xa' when resolving module 35.0 between existing import
35.0.javax.transaction.xa BLAMED ON [[35.0] package;
(&(package=javax.transaction.xa)(version>=1.1.0)(!(version>=2.0.0)))] and
uses constraint 0.javax.transaction.xa BLAMED ON [[35.0] package;
(&(package=javax.resource.spi)(version>=1.5.0)), [5.0] package;
(package=javax.transaction.xa)])


It seems these two bundle complain about the
"geronimo-j2ee-connector_1.5_spec-2.0.0" bundle.

How could I resolve this?

Regards
LongkerDandy

Mime
View raw message